## Package org.codehaus.groovy.runtime.typehandling

Classes used to execute special actions based on the type.

See:
Description

Class Summary
BigDecimalMath: BigDecimal NumberMath operations
BigIntegerMath: BigInteger NumberMath operations
ClassDistance
DefaultTypeTransformation
FloatingPointMath: FloatingPoint (Double and Float) NumberMath operations
IntegerCache
IntegerMath: Integer NumberMath operations
LongMath: Long NumberMath operations
NumberMath: Stateless objects used to perform math on the various Number subclasses.

Exception Summary
GroovyCastException

## Package org.codehaus.groovy.runtime.typehandling Description

Classes used to execute special actions based on the type. This includes mathematic operations and wrapper classes.

Copyright © 2003-2008 The Codehaus. All rights reserved.